curl --request GET \
--url https://{base-address}/discovery/search/content \
--header 'x-environment-id: <x-environment-id>' \
--header 'x-tenant-id: <x-tenant-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://{base-address}/discovery/search/content"
headers = {
"x-tenant-id": "<x-tenant-id>",
"x-workspace-id": "<x-workspace-id>",
"x-environment-id": "<x-environment-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-tenant-id': '<x-tenant-id>',
'x-workspace-id': '<x-workspace-id>',
'x-environment-id': '<x-environment-id>'
}
};
fetch('https://{base-address}/discovery/search/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"title": "<string>",
"url": "<string>",
"type": "<string>",
"summary": "<string>",
"image_url": "<string>",
"provider_id": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"extra_data": "<string>"
}
],
"total": 123
}{
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}{
"Status": "failure",
"Error": {
"message": "<string>",
"name": "<string>",
"code": "<string>"
}
}Content Search
Searches non-product content indexed for the catalog — CMS pages, articles, blog posts, and similar — with an optional content-type filter.
Returns a different result shape than product search: title, URL, image, and summary rather than price, SKU, and inventory.
Headers
Identifies your organization. Ensures data isolation per tenant.
Identifies the workspace within your organization. Scopes resources to a specific workspace.
Identifies the environment you are targeting. Scopes the call to a specific deployment environment.
Query Parameters
Catalog to search within.
Text query to match content against.
Locale to search in, such as en-us. Determines which localized content is matched and returned.
Number of results to skip.
Maximum number of results to return.
Content type filter.
Field to sort by.
relevance, created_at, created_by, title, modified_at, modified_by Sort direction.
asc, desc